function OnWarpEnter() 
	SetMarker("cs\\Warp_0064.wp" , 0 , 0) 
	Music_Change = false

	if not First_Entry_W065 then
		First_Entry_W065 = true
	end

	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 

	end 
	if ETAT_DAY == "D3" then 
		ASK_FAVOR_MADELELINE_D3 = false
		CONSTANCE_IN_ROOM_0065 = true
		if CONSTANCE_IN_ROOM_0065 then
			StartAnimationPart("fyc1",0,30,-1,false)
			SetMarker("fyc1",4,0)
		end
	end 
	if ETAT_DAY == "D4" then 
		StartAnimationPart("fyc1",0,30,-1,false)
		if Dialog_End_Constance then
			SetMarker("fyc1",-1,0)
		else
			SetMarker("fyc1",4,0)
		end
--		if DRESS_MADELEINE then
--		elseif DRESS_CESAR then
--		end
	end 
	if ETAT_DAY == "D5" then 
		StartAnimationPart("fyc1",90,91,-1,false)
--		SetMarker("fyc1",4,0)
		if not FaceW65 then
			SetMarker("zoomConstance", 4, 0)
		end
		if not LetterW65 then
			SetMarker("zoomLetter", 4, 0)
		end
		if not  FIRST_CONSTANCE_ENTER_D5 then
			LookAt(207,17)
			PlayMusic("Sounds/Musiques/M_DecouverteCorps.ogg")
			DrawText("Ma2892","Ma2892.ogg",0) -- Non, c'est impossible ! Cette histoire est trop morbide pour moi. Tous les gens que j'approche meurent les uns après les autres.
			FIRST_CONSTANCE_ENTER_D5 = true
		end
	end 
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)

	if dialogName == "Ma1087" then
		SetMarker("fyc1",4,0)
	end

	if ETAT_DAY == "D4" then 
		if dialogName == "Co3307" or dialogName == "Co3324" then
-- La meilleure façon de connaître son efficacité est de le boire à deux, non ? 
-- Je prends ça pour un compliment. Et si nous fêtions ça en goûtant le fameux philtre aphrodisiaque de Nostradamus ?
			APHRODISIAC_QUESTION = true
			AskSeparation()
		end
--		if dialogName == "Co3293" then -- D'accord.
--			QUESTIONS = true
--		end

		if dialogName == "Co3293" then
			DrawText("Co3327","Co3327.ogg",8) -- Le principe est simple : je lance 5 dés, je te donne la valeur de leur somme et tu as 5 essais pour deviner la valeur de chaque dé. Bien entendu je te donnerai quelques indices.
		end
		if dialogName == "Co3327" then
			PuzzleDiceOn = true
			ShowPuzzle(4)
--			PUZZLE_FINISHED = true
--			SetMarker("fyc1",4,0)
--			StartAnimationPart("fyc1",0,30,-1,false)
		end
		if dialogName == "Ma3295" or dialogName == "Ma3297" or dialogName == "Ce3304" or dialogName == "Ce3306" 
		or dialogName == "Ma3284" or dialogName == "Ma3285" or dialogName == "Ma3287" or dialogName == "Ma3289" or dialogName == "Ma3292" 
		or dialogName == "Ce3321" or dialogName == "Ce3323" or dialogName == "Ce3313" or dialogName == "Ce3316" or dialogName == "Ce3419" 
		or dialogName == "Ce3308" or dialogName == "Ce3419" or dialogName == "Ce3367" or dialogName == "Ce3369" or dialogName == "Ce3370" 
		or dialogName == "Ce3371" or dialogName == "Ce3372" or dialogName == "Ce3364" or dialogName == "Ce3365"  or dialogName == "Ce2558"
		or dialogName == "Ma3348" or dialogName == "Ma3353" or dialogName == "Ma3356" or dialogName == "Ma3358" or dialogName == "Ma3360" then
			StartAnimationPart("fyc1",60,90,-1,false)
		end
		if dialogName == "Co3294" or dialogName == "Co3296" or dialogName == "Co3291" or dialogName == "Co3327" 
		or dialogName == "Co3303" or dialogName == "Co3305" or dialogName == "Co3307" or dialogName == "Co3284" or dialogName == "Co3286" 
		or dialogName == "Co3288" or dialogName == "Co3320" or dialogName == "Co3322"  or dialogName == "Co3324" or dialogName == "Co3314" 
		or dialogName == "Co3317" or dialogName == "Co3312" or dialogName == "Co3309" or dialogName == "Co3368" or dialogName == "Co3355" 
		or dialogName == "Co3357" or dialogName == "Co3359" or dialogName == "Co3361" or dialogName == "Co3347" or dialogName == "Co3349" 
		or dialogName == "Co3352" or dialogName == "Ma3345" or dialogName == "Ma3351" or dialogName == "Co2400" or dialogName == "Co3299" then
			StartAnimationPart("fyc1",0,30,-1,false)
		end
		
		if dialogName == "Co3349" then
			AddToBag("C_sidh")
			JEAN_AT_LIBRARY_D4 = false
			PICKED_UP_SIDH = true

			if not SAVE_00 then
			-- SAVE
			SAVE_00 = true
			SaveGame("0.xml")
			end
		end

		if dialogName == "Ma3363"  then -- Merci beaucoup Constance, tu m'as été d'une grande aide.
			Dialog_End_Constance = true
			SetMarker("fyc1",-1,0)
		end
		
		if dialogName == "Ce3375" or dialogName == "Ce3366" or dialogName == "Ma3350" or dialogName == "Ma3363"  then
			StartAnimationPart("fyc1",0,30,-1,false)
			SetMarker("fyc1",4,0)
			ESCAPE_FROM_CHAVIGNY = false
			JEAN_AT_LIBRARY_D4 = false
		end
		if dialogName =="Ce3374" or dialogName=="Ce3366" then
			if DRANK_APHRODISIAC and (not AskPhilibertConstance or not AskHappenConstance) then
				AskSeparation()
			end
		end
		if dialogName == "Ma3295" or dialogName == "Ce3304" or dialogName == "Ma3285" or dialogName == "Ce3321" then
			RemoveFromBag("A_aphrodisiaque")
		end
		if dialogName == "Co3314" then
			PlayMovie("Videos/Aphrodisiaque.ogv", "Videos/Aphrodisiaque.ogg")			
		end
	end 
	if ETAT_DAY == "D5" then 
		if dialogName == "Ma2901" then
			PlayMovie("Videos/MortConstance.ogv", "Videos/MortConstance.ogg")
		end
	end 
end

function OnMovieFinished(name)
	if (name == "Videos/MortConstance.ogv") then
		DrawText("Ma2912","Ma2912.ogg",0) -- Ils ne perdent pas de temps ! Et même si la lettre accuse Nostradamus et Jean-Aimé, j'ai bien peur qu'aucune de mes deux identités ne me mette à l'abri.
		DrawText("Ma2913","Ma2913.ogg",0) -- La seule façon d'aider mon père est de tirer cette affaire au clair et d'aller convaincre Catherine de son innocence. Mais pour cela, il me manque encore quelques éléments.
		TheSlutIsDead = true
		SetMonkDressable(true)
		RemoveFromBag("C_robe_bure")
		GUARD_CAPTURED_NOSTRADMUS = true
		GUARD_QUEEN_ROOM_D5 = true
		PlayMusic("Sounds/Musiques/M_MortConstance2.ogg")
	end
	if (name == "Videos/Aphrodisiaque.ogv") then
		-- no dice game if you can use the power of seduction ;)
		QUESTIONS = true
		PuzzleDiceX1 = true
		PuzzleDiceX2 = true
		DRANK_APHRODISIAC = true
		AskSeparation()
		--[[DrawText("Ce3315","Ce3315.ogg",1) -- Par contre, bien que tu sois charmante, nous nous en tiendrons là.
		DrawText("Ce3316","Ce3316.ogg",1) -- Je ne suis pas celui que tu crois et j'ai peur de te décevoir.
		DrawText("Co3317","Co3317.ogg",8) -- Du mystère ! De mieux en mieux, malgré ton jeune âge tu sembles bien connaître les femmes. 
		DrawText("Ce3318","Ce3318.ogg",1) -- Je dois avoir un certain don pour l'empathie.
		DrawText("Co3319","Co3319.ogg",8) -- Puisque tu te fais désirer, je te propose une toute autre sorte d'amusement.
--		DrawText("Co3327","Co3327.ogg",8) -- Le principe est simple : je lance 5 dés, je te donne la valeur de leur somme et tu as 5 essais pour deviner la valeur de chaque dé. Bien entendu je te donnerai quelques indices.
		DrawText("Ce3419","Ce3419.ogg",1) -- Très bien, mais si je gagne tu répondras à mes questions.
		DrawText("Co3293","Co3293.ogg",8) -- D'accord.]]
	end
end

function AskSeparation()

--DAY3
     if ETAT_DAY == "D3" then
	if DRESS_CESAR then
		PushAnswer("Ce2397") -- Que pouvez-vous m'apprendre sur le mort ?
		PushAnswer("Ce2399") -- Avez-vous entendu parler de la prophétie ?
		PushAnswer("Ce2402") -- Pourquoi êtes vous ici ?
		PushAnswer("3411") -- Prendre congé
	elseif DRESS_MADELEINE then
		PushAnswer("Ma2417") -- Que pouvez-vous m'apprendre sur le mort ?
		PushAnswer("Ma2419") -- Merci Constance.
		PushAnswer("3411") -- Prendre congé
	end
    end

--DAY4
    if ETAT_DAY == "D4" then
		if APHRODISIAC_QUESTION and not QUESTIONS then
				PushAnswer("Ce3308") -- Non merci Constance, je ne préfère pas.
				PushAnswer("Ce3313") -- Pourquoi pas !
				PushAnswer("3411") -- Prendre congé
		end
		if QUESTIONS then
			SetMarker("fyc1",-1,0)
			 if DRESS_CESAR then
				if DRANK_APHRODISIAC then
					if not AskPhilibertConstance and not AskHappenConstance then
						PushAnswer("Ce3364") -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
						PushAnswer("Ce3367") -- Quand as-tu appris ce qui se passait ?
					elseif not AskHappenConstance then
						PushAnswer("Ce3367") -- Quand as-tu appris ce qui se passait ?
					elseif not AskPhilibertConstance then
						PushAnswer("Ce3364") -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
					end
				else
					if not AskPhilibertConstance then
						PushAnswer("Ce3364") -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
					elseif not AskHappenConstance then
						PushAnswer("Ce3367") -- Quand as-tu appris ce qui se passait ?
					end
				end
				
				PushAnswer("3411") -- Prendre congé
			 elseif DRESS_MADELEINE then
				if not AskPhilibertConstance then
					PushAnswer("Ma3345") -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
				elseif not AskHappenConstance then
					PushAnswer("Ma3351") -- Quand as-tu appris ce qui se passait ?
				end
				PushAnswer("3411") -- Prendre congé
			 end
		end
    end
end

function OnAnswered(textId)
	if textId == "Ma2417" then -- Que pouvez-vous m'apprendre sur le mort ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2418","Co2418.ogg",8) -- Jean était quelqu'un de bien. Gentil, solide, pas très bavard, mais loyal envers la couronne.
	end
	if textId == "Ma2419" then -- Merci Constance.
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2420","Co2420.ogg",8) -- De rien Madeleine. Ça m'a fait plaisir d'avoir un peu de compagnie.
	end
	if textId == "Ce2397" then -- Que pouvez-vous m'apprendre sur le mort ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2398","Co2398.ogg",8) -- Il s'appelait Jean, il était soldat dans la garde rapprochée de Sa Majesté Catherine de Médicis, et c'était un gaillard solide et gentil, qui aimait beaucoup les femmes. Voilà, je ne vois rien d'autre à ajouter.
	end
	if textId == "Ce2399" then -- Avez-vous entendu parler de la prophétie ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2400","Co2400.ogg",8) -- Ce fameux quatrain écrit par votre père et qui nous promet d'autres morts !
		DrawText("Ce2558","Ce2558.ogg",1) -- Je pensais que cette information était confidentielle, comment en avez-vous eu connaissance ?
		DrawText("Co2401","Co2401.ogg",8) -- Je le sais, un point c'est tout.
	end
	if textId == "Ce2402" then -- Pourquoi êtes vous ici ?
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co2403","Co2403.ogg",8) -- Parce que Sa Majesté m'a demandé de l'accompagner bien entendu. Je suis, disons… Sa suivante, c'est ça ! Bien qu'il ne s'agisse pas là de mon plus grand talent.
	end


	if textId == "Ce3313" then -- Pourquoi pas !
		APHRODISIAC_QUESTION = false
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co3314","Co3314.ogg",8) -- Et moi qui te prenais pour un garçon un peu coincé, je suis agréablement surprise. A la tienne, beau César !

	end
	if textId == "Ce3308" then -- Non merci Constance, je ne préfère pas.
		APHRODISIAC_QUESTION = false
		StartAnimationPart("fyc1",60,90,-1,false)
		DrawText("Co3309","Co3309.ogg",8) -- Si jeune et si sérieux, c'est bien dommage ! Tant pis, tu accepteras peut-être de te livrer à un autre genre de jeu ?
		DrawText("Ce3419","Ce3419.ogg",1) -- Très bien, mais si je gagne tu répondras à mes questions.
		DrawText("Co3293","Co3293.ogg",8) -- D'accord.
	end
	if textId == "Ce3367" then -- Quand as-tu appris ce qui se passait ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskHappenConstance = true
		DrawText("Co3368","Co3368.ogg",8) -- Tu parles des morts ?
		DrawText("Ce3369","Ce3369.ogg",1) -- Oui.
		DrawText("Co3354","Co3354.ogg",8) -- Le soir de notre départ, quand Catherine a décidé de venir consulter ton père.
		DrawText("Co3355","Co3355.ogg",8) -- Je me souviens très bien qu'elle m'a parlé du quatrain et du danger qui planait sur ses proches. Et puis nous avons rejoint les autres.
		DrawText("Ce3370","Ce3370.ogg",1) -- 
		DrawText("Co3357","Co3357.ogg",8) -- Deux gardes, Jean-Aimé de Chavigny, l'apothicaire de Catherine, et bien sûr le cocher !
		DrawText("Ce3371","Ce3371.ogg",1) -- 
		DrawText("Co3359","Co3359.ogg",8) -- Je l'avais oublié, il est si discret. Il nous a rejoint au dernier moment et a supplié la reine de l'emmener. Je crois qu'il voulait rencontrer l'Archevêque, mais manque de chance, il est en voyage.
		DrawText("Ce3372","Ce3372.ogg",1) -- 
		DrawText("Co3361","Co3361.ogg",8) -- Oui, il me semble, tu penses que c'est important ?
		DrawText("Ce3373","Ce3373.ogg",1) -- Ça se pourrait en effet.
		DrawText("Ce3374","Ce3374.ogg",1) -- Merci beaucoup Constance, tu m'as été d'une grande aide.
	end
	if textId == "Ce3364" then -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskPhilibertConstance = true
		DrawText("Co3346","Co3346.ogg",8) -- Oui, en effet.
		DrawText("Co3347","Co3347.ogg",8) -- Nous avons discuté la veille de son décès. Il paraissait plutôt inquiet, et m'a fait une drôle de demande.
		DrawText("Ce3365","Ce3365.ogg",1) -- Je t'écoute.
		DrawText("Co3349","Co3349.ogg",8) -- Il voulait que je garde ce médaillon pour lui, comme s'il avait peur que quelqu'un d'autre ne lui dérobe.
		DrawText("Ce3366","Ce3366.ogg",1) -- C'est étonnant, ça n'a pourtant pas l'air d'un objet de grande valeur.
	end
	if textId == "Ma3345" then -- J'ai besoin d'en apprendre plus sur Philibert. Est-ce que tu le connaissais ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskPhilibertConstance = true
		DrawText("Co3346","Co3346.ogg",8) -- Oui, en effet.
		DrawText("Co3347","Co3347.ogg",8) -- Nous avons discuté la veille de son décès. Il paraissait plutôt inquiet, et m'a fait une drôle de demande.
		DrawText("Ma3348","Ma3348.ogg",0) -- Je t'écoute.
		DrawText("Co3349","Co3349.ogg",8) -- Il voulait que je garde ce médaillon pour lui, comme s'il avait peur que quelqu'un d'autre ne lui dérobe.
		DrawText("Ma3350","Ma3350.ogg",0) -- C'est étonnant, ça n'a pourtant pas l'air d'un objet de grande valeur.
	end
	if textId == "Ma3351" then -- Quand as-tu appris ce qui se passait ?
		StartAnimationPart("fyc1",60,90,-1,false)
		AskHappenConstance = true
		DrawText("Co3352","Co3352.ogg",8) -- Tu parles des morts ?
		DrawText("Ma3353","Ma3353.ogg",0) -- Oui.
		DrawText("Co3354","Co3354.ogg",8) -- Le soir de notre départ, quand Catherine a décidé de venir consulter ton père.
		DrawText("Co3355","Co3355.ogg",8) -- Je me souviens très bien qu'elle m'a parlé du quatrain et du danger qui planait sur ses proches. Et puis nous avons rejoint les autres.
		DrawText("Ma3356","Ma3356.ogg",0) -- Qui exactement ?
		DrawText("Co3357","Co3357.ogg",8) -- Deux gardes, Jean-Aimé de Chavigny, l'apothicaire de Catherine, et bien sûr le cocher !
		DrawText("Ma3358","Ma3358.ogg",0) -- C'est tout ? Et le scribe, où était-il ?
		DrawText("Co3359","Co3359.ogg",8) -- Je l'avais oublié, il est si discret. Il nous a rejoint au dernier moment et a supplié la reine de l'emmener. Je crois qu'il voulait rencontrer l'Archevêque, mais manque de chance, il est en voyage.
		DrawText("Ma3360","Ma3360.ogg",0) -- Tu veux dire qu'il savait où vous alliez ?
		DrawText("Co3361","Co3361.ogg",8) -- Oui, il me semble, tu penses que c'est important ?
		DrawText("Ma3362","Ma3362.ogg",0) -- Ça se pourrait en effet.
		DrawText("Ma3363","Ma3363.ogg",0) -- Merci beaucoup Constance, tu m'as été d'une grande aide.
	end
	if textId == "3411" then -- [Prendre Congé]
		SetMarker("fyc1",4,0)
	end
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0064.wp" then 
		if ETAT_DAY == "D5" then
			if not TheSlutIsDead then
				DrawText("Ma3171","Ma3171.ogg",0)
			elseif DRESS_MONK or Advice_Monk then
				ChangeWarp(objectName)
			else
				DrawText("Ma2914","Ma2914.ogg",0) -- Je dois trouver un moyen pour me déplacer dans le château sans trop attirer l'attention.
				Advice_Monk = true
			end
			if FaceW65 then
				SetDiaryPage(22, "Page22_00")
			elseif LetterW65 then
				SetDiaryPage(22, "Page22_01")
			elseif FaceW65 and LetterW65 then
				SetDiaryPage(22, "Page22_02")
			end
		elseif ETAT_DAY == "D4" then 
			ChangeWarp(objectName)
		else
			if DRESS_MADELEINE then
				if not ASK_FAVOR_MADELELINE_D3 and TALK_TO_CONSTANCE_D3 and Madeleine_Constance_D3 then
					ASK_FAVOR_MADELELINE_D3 = true
					StartAnimationPart("fyc1",60,90,-1,false)
					DrawText("Co2428","Co2428.ogg",8) -- Madeleine !
				else
					DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
				end
			elseif DRESS_CESAR then
				if not ASK_FAVOR_CESAR_D3 and TALK_TO_CONSTANCE_D3 and Cesar_Constance_D3 then
					ASK_FAVOR_CESAR_D3 = true
					StartAnimationPart("fyc1",60,90,-1,false)
					DrawText("Co2435","Co2435.ogg",8) -- César !
				else
					DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
				end
			end
		end

		
	end

--DAY1
	if ETAT_DAY == "D1" then 
		-- Constance
		if objectName == "fyc1" then

		-- Bougie
		elseif objectName == "fzc1" then

		-- Constance aux dés
		elseif objectName == "uzc1" then

		end
	end 

--DAY2
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 
		if objectName == "fyc1" then
			SetMarker("fyc1",-1,0)
			if not TALK_TO_CONSTANCE_D3 then
				if DRESS_CESAR then
					if Cesar_Constance_D3 then
	---					DrawText("Ce2370","Ce2370.ogg",1) -- Constance ?
	--					DrawText("Co2371","Co2371.ogg",8) -- Oui.
	--					DrawText("Ce2372","Ce2372.ogg",1) -- Je suis César de Nostredame, je fais des recherches au sujet des décès survenus ces derniers jours.
						DrawText("Ce2381","Ce2381.ogg",1) -- 
						DrawText("Ce2382","Ce2382.ogg",1) -- 
						DrawText("Co2383","Co2383.ogg",8) -- 
						DrawText("Ce2384","Ce2384.ogg",1) -- 
						DrawText("Ce2385","Ce2385.ogg",1) -- 
						DrawText("Co2386","Co2386.ogg",8) -- 
						DrawText("Ce2387","Ce2387.ogg",1) -- 
						DrawText("Co2388","Co2388.ogg",8) -- 
						DrawText("Co2389","Co2389.ogg",8) -- 
						DrawText("Ce2390","Ce2390.ogg",1) -- 
						DrawText("Co2391","Co2391.ogg",8) -- 
						DrawText("Co2392","Co2392.ogg",8) -- Dîtes moi, quelle est donc votre fleur préférée ?
						DrawText("Ce2393","Ce2393.ogg",1) -- Si vous le permettez, nous parlerons pétales plus tard, un homme vient de mourir, et même si vous ne l'aimiez pas, vous le connaissiez suffisamment  pour avoir à répondre à quelques questions !
						DrawText("Co2394","Co2394.ogg",8) -- Charmant et autoritaire ! Vous êtes un surprenant jeune homme César.
						TALK_TO_CONSTANCE_D3 = true
					else
						DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
					end
				elseif DRESS_MADELEINE then
					if Madeleine_Constance_D3 then
	--					DrawText("Ma2363","Ma2363.ogg",0) -- Constance ?
	--					DrawText("Co2365","Co2365.ogg",8) -- Oui.
	--					DrawText("Ma2366","Ma2366.ogg",0) -- Je suis Madeleine de Nostredame, je viens aider mon frère dans ses recherches au sujet des décès survenus ces derniers jours.
						DrawText("Ma2374","Ma2374.ogg",0) -- 
						DrawText("Ma2375","Ma2375.ogg",0) -- 
						DrawText("Co2376","Co2376.ogg",8) -- 
						DrawText("Ma2377","Ma2377.ogg",0) -- 
						DrawText("Ma2378","Ma2378.ogg",0) -- 
						DrawText("Co2379","Co2379.ogg",8) -- 
						DrawText("Co2380","Co2380.ogg",8) -- 
						DrawText("Ma2408","Ma2408.ogg",0) -- 
						DrawText("Co2409","Co2409.ogg",8) -- 
						DrawText("Co2410","Co2410.ogg",8) -- 
						DrawText("Ma2411","Ma2411.ogg",0) -- 
						DrawText("Co2412","Co2412.ogg",8) -- 
						DrawText("Ma2413","Ma2413.ogg",0) -- 
						DrawText("Co2414","Co2414.ogg",8) -- Réfléchissez un peu Mademoiselle. Vous êtes vous-même très jolie.
						DrawText("Ma2415","Ma2415.ogg",0) -- Oh !
						DrawText("Co2416","Co2416.ogg",8) -- Et pleine de fraîcheur de surcroît ! J'avoue que je m'ennuyais depuis notre arrivée et l'idée de trouver une amie telle que vous me réjouis !
						TALK_TO_CONSTANCE_D3 = true
					else
						DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
					end
				  end
				else
					if DRESS_CESAR then
						if Cesar_Constance_D3 then
							AskSeparation()
						else
							DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
						end
					elseif DRESS_MADELEINE then
						if Madeleine_Constance_D3 then
							AskSeparation()
						else
							DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
						end
					end
			      end
		end
	end 

--DAY4
	if ETAT_DAY == "D4" then 
		if objectName == "fyc1" then
			SetMarker("fyc1",-1,0)
			if not TALK_CONSTANCE_D4 then
				TALK_CONSTANCE_D4 = true
				StartAnimationPart("fyc1",60,90,-1,false)
				if Cesar_Constance_D3 then
					if DRESS_MADELEINE then
						DrawText("Co3294","Co3294.ogg",8) -- Madeleine j'imagine ?
						DrawText("Ma3295","Ma3295.ogg",0) -- En effet ! Je t'apporte le philtre aphrodisiaque.
						DrawText("Co3296","Co3296.ogg",8) -- Merci ! On dirait que ton frère a eu peur de moi !
						DrawText("Ma3297","Ma3297.ogg",0) -- Peut-être oui, en tout cas, je dirais que tu ne l'as pas laissé indifférent !
						DrawText("Co3298","Co3298.ogg",8) -- C'est souvent l'effet que je fais aux jeunes gens. Mais avec la frimousse que tu as, tu dois savoir de quoi je parle !
						DrawText("Co3299","Co3299.ogg",8) -- Allez, trêve de banalités, je connais un jeu très amusant, tu es partante ?
						DrawText("Ma3300","Ma3300.ogg",0) -- Un jeu ? Pourquoi pas, avec les journées que je passe en ce moment, ça ne peut pas me faire de mal !
						DrawText("Ma3292","Ma3292.ogg",0) -- Très bien, mais si je gagne tu répondras à mes questions.
						DrawText("Co3293","Co3293.ogg",8) -- D'accord.
					elseif DRESS_CESAR then
						DrawText("Co3303","Co3303.ogg",8) -- César, enfin ! J'ai cru que tu m'avais oubliée.
						DrawText("Ce3304","Ce3304.ogg",1) -- Quelle idée ! Je devais t'apporter ceci, et j'essaie de toujours faire ce que je dis.
						DrawText("Co3305","Co3305.ogg",8) -- Le célèbre philtre aphrodisiaque de Nostradamus ! Tu l'essaies avec moi ?
						DrawText("Ce3306","Ce3306.ogg",1) -- Pardon ?
						DrawText("Co3307","Co3307.ogg",8) -- La meilleure façon de connaître son efficacité est de le boire à deux, non ? 
					end
				elseif Madeleine_Constance_D3 then
					if DRESS_MADELEINE then
						DrawText("Co3284","Co3284.ogg",8) -- Bonjour Madeleine ! Tu m'apportes le philtre aphrodisiaque ?
						DrawText("Ma3285","Ma3285.ogg",0) -- Bien sûr. Tu me diras si ça marche !
						DrawText("Co3286","Co3286.ogg",8) -- Parce que tu n'as jamais essayé ?
						DrawText("Ma3287","Ma3287.ogg",0) -- Non.
						DrawText("Co3288","Co3288.ogg",8) -- Tu es bien sage. Mais peut-être accepteras-tu quand même de jouer avec moi ?
						DrawText("Ma3289","Ma3289.ogg",0) -- Jouer ? Pourquoi pas, mais tu m'intrigues, en quoi ton jeu ne serait-il pas sage ?
						DrawText("Co3290","Co3290.ogg",8) -- Je plaisante. C'est un jeu assez simple et en tant que fille d'un homme capable de prédire l'avenir, tu devrais très bien t'en sortir.
						DrawText("Ma3292","Ma3292.ogg",0) -- Très bien, mais si je gagne tu répondras à mes questions.
						DrawText("Co3293","Co3293.ogg",8) -- D'accord.
					elseif DRESS_CESAR then
						DrawText("Co3320","Co3320.ogg",8) -- César ?
						DrawText("Ce3321","Ce3321.ogg",1) -- Oui, je t'apporte le philtre aphrodisiaque. Madeleine n'a pas pu venir.
						DrawText("Co3322","Co3322.ogg",8) -- Je n'y perd pas au change manifestement !
						DrawText("Ce3323","Ce3323.ogg",1) -- Ma sœur m'avait bien dit que tu étais directe, mais je dois dire que tu arrives quand même à me surprendre.
						DrawText("Co3324","Co3324.ogg",8) -- Je prends ça pour un compliment. Et si nous fêtions ça en goûtant le fameux philtre aphrodisiaque de Nostradamus ?
					end
				end
			elseif PuzzleDiceX1 and not PICKED_UP_SIDH then
				AskSeparation()
			elseif (PuzzleDiceX1 and not PuzzleDiceX2) or (not PuzzleDiceX1 and PuzzleDiceOn ) then
				ShowPuzzle(4)
				SetMarker("fyc1",4,0) -- if the player exits the puzzle befoe finishing it, we need to reset the marker
			else
				AskSeparation()
			end
		
		end
	end 

--DAY5
	if ETAT_DAY == "D5" then 
--		if objectName == "fyc1" then
--			SetMarker("fyc1",-1,0)
--			GUARD_CAPTURED_NOSTRADAMUS  = true
--			DrawText("G12900","G12900.ogg",6) -- Mademoiselle Constance !
--			DrawText("Ma2901","Ma2901.ogg",0) -- Je ferais mieux de ne pas rester.
--		end
		if objectName == "3D\\zoomConstance" then 
			if not FaceW65 then
				ShowToolBox("W65_01")
			end
		end
		if objectName == "3D\\zoomLetter" then 
			if not LetterW65 then
				ShowToolBox("W65_00")
			end
		end
	end 
end

function OnDicesPuzzleAnswered(won)

	if won then
		if not PuzzleDiceX1 then
			PuzzleDiceX1 = true
			QUESTIONS = true
			AskSeparation()
		end
		if PuzzleDiceX1 and not PuzzleDiceX2 and (AskHappenConstance or AskPhilibertConstance)then
			PuzzleDiceX2 = true
			AskSeparation()
		end
	else
		SetMarker("fyc1",4,0)
	end
end
-- ShowPuzzle(4)
--Fonctionne parfaitement. appelle OnDicesPuzzleAnswered()
--PuzzleDados Id: 4